Home | All Classes | Grouped Classes | Index | Search

# CL_SoundProvider_Vorbis::CL_SoundProvider_Vorbis

Constructs a sound provider based on an ogg vorbis (.ogg) file.

    	CL_SoundProvider_Vorbis(
    		const std::string& filename, CL_InputSourceProvider* provider = 0, bool stream = false);

Parameters:

filename
  Filename of module file.
provider
  Input source provider used to retrieve module file.
stream
  If true, will stream from disk. If false, will load it to memory.

See also:

CL_InputSource | CL_InputSourceProvider | CL_Sound | CL_SoundProvider | CL_SoundProvider_Vorbis

Questions or comments, write to the ClanLib mailing list.